@rem Scourge done Slick batch file
@echo off
cd ..
echo Scourge done Slick by the Quake done Quick team (http://PlanetQuake.com/QdQ/)
IF NOT EXIST sds\sds.bat ECHO You need to call your SdS game subdirectory "sds" to use this batch file
IF NOT EXIST sds\sds.bat GOTO END

IF EXIST glquake.exe IF EXIST quake.exe IF EXIST winquake.exe GOTO GQW
IF EXIST glquake.exe IF EXIST quake.exe GOTO GQ
IF EXIST glquake.exe IF EXIST winquake.exe GOTO GW
IF EXIST glquake.exe GOTO GLQUAKE
IF EXIST quake.exe IF EXIST winquake.exe GOTO QW
IF EXIST quake.exe GOTO QUAKE
IF EXIST winquake.exe GOTO WINQUAKE
ECHO Failed to find any of GLQuake, WinQuake and Quake.
GOTO END

:GQW
CHOICE /C:GQW "Run using GLQuake.exe, Quake.exe or WinQuake.exe "
IF errorlevel 3 GOTO WINQUAKE
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GQ
CHOICE /C:GQ "Run using GLQuake.exe or Quake.exe "
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GW
CHOICE /C:GW "Run using GLQuake.exe or WinQuake.exe "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:QW
CHOICE /C:QW "Run using Quake.exe or WinQuake.exe? "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO QUAKE
GOTO END

:GLQUAKE
IF EXIST hipnotic\gl_fixed.cfg GOTO GLFIXED
cd sds
SdSfixGL.exe
cd ..
:GLFIXED
ECHO Starting GLQuake on SdS
ECHO (Note that version v0.96 will not display sprites!)
glquake -hipnotic -game sds -zone 512 %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO HAVERUN

:WINQUAKE
ECHO Starting WinQuake on SdS
winquake -hipnotic -game sds -zone 512 %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO HAVERUN

:QUAKE
ECHO Starting DOS Quake on SdS
quake -hipnotic -game sds -zone 512 %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO HAVERUN

:HAVERUN
ECHO Scourge done Slick 1998

:END
IF EXIST sds\sds.bat cd sds
